#!/bin/bash

BINARY_DIR=$PWD
AGENT_BINARY=rcssagent3d-l3m

TEAM_NAME="L3M-SIM"

#LOG_ON="1"
LOG_ON="0"

DATE=`date '+%T'`
#DATE="NO_DATE"

MY_LOG_DIR=/tmp/$TEAM_NAME-PENALTY-GOALIE-$DATE

PENALTY_GOALIE_PLAYER_ID=1
NUM_PLAYERS=1

### !!! competition SERVER_IP !!!
SERVER_IP=127.0.0.1
#SERVER_IP=192.168.0.13


if [ "$#" = "1" ]; then
  SERVER_IP=$1
fi

if [ $LOG_ON = "1" ]; then
  if [ ! -d "$MY_LOG_DIR" ]; then
    `mkdir $MY_LOG_DIR`
  fi
fi

killall -9 $AGENT_BINARY

sleep 1

### !!! if LIBPATH is different !!!
#export LD_LIBRARY_PATH=/opt/spark/lib/simspark:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=/usr/local/lib/simspark:/usr/lib/simspark:$LD_LIBRARY_PATH

echo "Running agent No. $i"
if [ $LOG_ON = "1" ]; then
    $BINARY_DIR/$AGENT_BINARY --host=$SERVER_IP --num=$PENALTY_GOALIE_PLAYER_ID --pen=1 --llc=$NUM_PLAYERS --side=0 --team=$TEAM_NAME 2>$MY_LOG_DIR/log-l3m-sim-$PENALTY_GOALIE_PLAYER_ID-$DATE &
fi
if [ $LOG_ON = "0" ]; then
    $BINARY_DIR/$AGENT_BINARY --host=$SERVER_IP --num=$PENALTY_GOALIE_PLAYER_ID --pen=1 --llc=$NUM_PLAYERS --side=0 --team=$TEAM_NAME 2>/dev/null &
fi
  
sleep 2

